wL Email Encrypter 0.6.1


Und wieder gibt es ein Update für das WordPress-Plugin wL Email Encrypter.

Mit Version 0.6.1 gibt es die von Anwendern gewünschte Möglichkeit, mittels Shortcodes die Schutzmethoden für einzelne Seiten und Artikel zu verändern oder auszuschalten.

Das ist zB. dann sinnvoll, wenn ein Artikel eine Email-Adresse für weitere Anwendungen wie Paypal beinhaltet und diese nicht verändert werden darf.

Außerdem wurden 2 kleinere Fehler behoben. Einer davon betrifft die Update-Funktion, weswegen alle Einstellungen bei einem Update leider gelöscht werden und neu gesetzt werden müssen. Ich bitte, diesen Fehler zu entschuldigen.

Anwendung der Shortcodes

Folgender Shortcode kann an beliebiger Stelle in einem Artikel/einer Seite platziert werden:

[wlee_options encrypt_type="js" /]

„encrypt_type“ darf dabei folgende Werte enthalten:

"js" - Verschlüsselung mit JavaScript
"signs" - Zeichenersetzung
"hide" - Alle Emails werden nicht mehr angezeigt
"none" [default] - Der Artikel bleibt unberührt

Wird ein anderer Wert verwendet, wird der Standard-Wert „none“ verwendet.

Diese Einstellungen werden nur auf diesem Artikel/dieser Seite angewendet.

Wird kein Shortcode gefunden, werden die normalen Einstellungen aus der Einstellungs-Seite angewendet.

Ich wünsche euch viel Spaß mit diesem Update. Bei Fragen und Problemen hinterlasst am besten einfach einen Kommentar, twittert mir oder schreibt mir eine Email.